Skip to main content
GET
/
v1
/
sub-organizations
/
{id}
/
billing
/
transactions
List transactions for a sub-account
curl --request GET \
  --url https://api.wavix.com/v1/sub-organizations/{id}/billing/transactions \
  --header 'Authorization: Bearer <token>'
{
  "transactions": [
    {
      "amount": "10.50",
      "balance_after": "100.00",
      "date": "2023-06-15T10:30:00.000Z",
      "details": "Account top-up",
      "status": "committed",
      "type": 1
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total": 1,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

id
integer<int32>
required

Sub-account ID

Example:

123

Query Parameters

from_date
string<date>
required

Start date of your search time range, in yyyy-mm-dd format

Example:

"2023-01-01"

to_date
string<date>
required

End date of your search time range, in yyyy-mm-dd format

Example:

"2023-12-31"

type

Transaction type(s)

Example:

1

Response

Request successful.

transactions
object[]

A list of transactions for the specified sub-account

pagination
object

Pagination details